Subject: Re: Who is root? (was Re: raw floppy access)
From: [email-masked] (Alex)

13 Nov 1997 15:50:23 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: raf <[email-masked]>
Cc: [email-masked]

On Thu, 13 Nov 1997, raf wrote:

> If you are running NT, you might need to create
> an NT user with uid 0 (not just /etc/passwd).
> 
> Anyone know if this possible? I doubt it.

Check MS's MSDN stuff, and if you know C, even better :)  It might take a
little work, but I'm sure it's possible (I don't have NT, so I don't care
that much).
 
> Alternatively, get[e]uid() could be made to
> return 0 when the user is in the Administrators group.
> Sounds very kludgy.
> Would this be a good idea?

If it was going to be modified to do something like that, it should return
0 for getegid if you're in the Administrators group, and 0 for getgid if
you're only in that group.  For getuid it should then probably return 0 if
you  are the administrator, and 0 for geteuid if you're su'n.
 
> Isn't the concept of a 'root' user too important
> to ignore when porting unix software?

Theoretically it _is_, but what about on Win95?  So far you're stuck with
{u|g}id 500.

- alex

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".